Last Comment Bug 712887 - Style Editor should always show the Save button on the currently edited style sheet
: Style Editor should always show the Save button on the currently edited style...
Status: RESOLVED FIXED
[qa+][qa!:11]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Style Editor (show other bugs)
: unspecified
: All All
: -- minor (vote)
: Firefox 12
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 01:19 PST by Cedric Vivier [:cedricv]
Modified: 2012-02-07 06:40 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch (1.49 KB, patch)
2011-12-22 01:20 PST, Cedric Vivier [:cedricv]
paul: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Cedric Vivier [:cedricv] 2011-12-22 01:19:07 PST
Imho an unseen regression brought with the new skin.

The selected style sheet should have the Save action visible at all times for discoverability's sake - currently you have no visible way to know how to save (only Ctrl-S)
Comment 1 Cedric Vivier [:cedricv] 2011-12-22 01:20:16 PST
Created attachment 583740 [details] [diff] [review]
patch
Comment 2 Rob Campbell [:rc] (:robcee) 2011-12-22 11:23:06 PST
https://hg.mozilla.org/integration/fx-team/rev/5bbf02ceb383
Comment 3 Cedric Vivier [:cedricv] 2011-12-22 20:28:21 PST
Comment on attachment 583740 [details] [diff] [review]
patch

I believe this might be a good candidate for Aurora.
This is a minimal change that fixes an UI regression introduced with the new skin in bug 687702 (which landed shortly before branching)
Comment 4 Alex Keybl [:akeybl] 2011-12-26 10:48:34 PST
Comment on attachment 583740 [details] [diff] [review]
patch

[Triage Comment]
Please re-nominate once this has landed on m-c and had at least a couple of days to bake.
Comment 5 Tim Taubert [:ttaubert] 2011-12-29 09:39:06 PST
https://hg.mozilla.org/mozilla-central/rev/5bbf02ceb383
Comment 6 Dave Camp (:dcamp) 2012-01-04 15:16:22 PST
Comment on attachment 583740 [details] [diff] [review]
patch

Re-noming as requested, this landed the 29th.
Comment 7 Alex Keybl [:akeybl] 2012-01-04 17:46:07 PST
Comment on attachment 583740 [details] [diff] [review]
patch

[Triage Comment]
Thanks! Approved for Aurora.
Comment 8 Rob Campbell [:rc] (:robcee) 2012-01-24 07:15:00 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/99737dbc0bda
Comment 9 Alex Lakatos[:AlexLakatos] 2012-01-25 07:33:27 PST
Verified on Build identifier: Mozilla/5.0 (X11; Linux i686; rv:12.0a1) Gecko/20120125 Firefox/12.0a1
Comment 10 Simona B [:simonab] 2012-02-07 06:40:02 PST
Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0

Verified that "Save" button is always shown on the currently edited style sheet using Firefox 11 beta 1 on Win 7, Ubuntu 11.10 and Mac OS X 10.6.

Note You need to log in before you can comment on or make changes to this bug.